org.keycloak.models.sessions.infinispan.entities

## Class AuthenticatedClientSessionStore.ExternalizerImpl

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.entities.AuthenticatedClientSessionStore.ExternalizerImpl

- All Implemented Interfaces:
    Serializable, org.infinispan.commons.marshall.Externalizer<AuthenticatedClientSessionStore>
  Enclosing class:
    AuthenticatedClientSessionStore

      public static class AuthenticatedClientSessionStore.ExternalizerImpl
      extends Object
      implements org.infinispan.commons.marshall.Externalizer<AuthenticatedClientSessionStore>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalizerImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthenticatedClientSessionStore` | `readObject(ObjectInput input)`
    `AuthenticatedClientSessionStore` | `readObjectVersion1(ObjectInput input)`
    `void` | `writeObject(ObjectOutput output, AuthenticatedClientSessionStore obj)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExternalizerImpl

          public ExternalizerImpl()

  - ### Method Detail

    - #### writeObject

          public void writeObject(ObjectOutput output,
                                  AuthenticatedClientSessionStore obj)
                           throws IOException

      Specified by:
        `writeObject` in interface `org.infinispan.commons.marshall.Externalizer<AuthenticatedClientSessionStore>`
      Throws:
        `IOException`

    - #### readObject

          public AuthenticatedClientSessionStore readObject(ObjectInput input)
                                                     throws IOException,
                                                            ClassNotFoundException

      Specified by:
        `readObject` in interface `org.infinispan.commons.marshall.Externalizer<AuthenticatedClientSessionStore>`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### readObjectVersion1

          public AuthenticatedClientSessionStore readObjectVersion1(ObjectInput input)
                                                             throws IOException,
                                                                    ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.